<?php

namespace App\Http\Livewire;

use App\Models\Paket_urunler;
use Livewire\Component;
use Cart;

class Paketdetay extends Component
{

    public $paketveri;
    public $paketozellikler;

    public function mount($paketurunler,$paketozellikler)
    {
        $this->paketurunler = $paketurunler;
        $this->paketozellikler = $paketozellikler;

    }


    public function render()
    {

        return view('livewire.paketdetay',['paketveri'=>$this->paketurunler,'paketozellikler'=>$this->paketozellikler]);
    }

    public function addToCart($product_id,$product_baslik,$product_fiyat)
    {
        Cart::add($product_id,$product_baslik,1,$product_fiyat,['product_type' => 2])->associate('\App\Models\Paket_urunler');


        $this->emitTo('sepeticonu','refreshComponent');


        $swalData = [
            'type' => 'success',
            'title' => 'Başarılı',
            'message' => 'Sepete Başarıyla Eklenmiştir, Yönleniyorsuz',
        ];
        $this->dispatchBrowserEvent('islembasarili', $swalData);

        return redirect()->route('cart');


    }
}
